> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Abort a Stream execution

> If needed during an execution, aborts an entire Stream execution.

<Note>
**Best Practice**

To abort the current stream execution within request, simply identify the Stream’s ID within the request.
</Note>




## OpenAPI

````yaml /openapi/platform/stream.yaml PUT /v1/streams/{STREAM_ID}/executions/{EXECUTION_ID}/abort
openapi: 3.1.0
info:
  title: Stream API
  version: '1.0'
  description: >
    The Stream API allows you to automate the creation of new DataSets in your
    Domo Warehouse, featuring an accelerated upload Stream. A Domo Stream
    expedites uploads by dividing your data into parts, and uploading all of
    these parts simultaneously.


    <!-- theme: info -->

    > ### Best Practices

    >

    > This API should be used to create and update massive, constantly changing,
    or rapidly growing DataSets. For creating and updating smaller DataSets that
    occasionally need data updated, leverage the DataSet API. 



    ## The Stream Object


    ## Stream Attributes

    Property Name | Type | Description

    ------- | ------- | -------

    id | Number | ID of the Stream

    modifiedAt | String | An ISO-8601 representation of the time the Stream was
    last updated

    updateMethod | String | The data import behavior

    createdAt | String | An ISO-8601 representation of the create date of the
    Stream


    ### Stream's DataSet Attributes

    Property Name | Type | Description

    ------- | ------- | -------

    id | String  | The UID of the DataSet associated to the Stream

    name | String | The description of the DataSet associated to the Stream

    description | String | The ID of the DataSet associated to the Stream

    rows | Number | The number of rows in the DataSet

    columns | Number | The number of columns in the DataSet's schema

    owner_id | Number | The ID of the owner of the Stream's underlying DataSet

    owner_name | String | The name of the owner of the Stream's underlying
    DataSet

    pdpEnabled | Boolean | Indicates if PDP [Personalized Data Permission]
    policy filtering on data is active on this DataSet
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/streams/{STREAM_ID}/executions/{EXECUTION_ID}/abort:
    parameters:
      - schema:
          type: number
        name: STREAM_ID
        in: path
        required: true
        description: The ID of the Stream of data being imported into a DataSet
      - schema:
          type: number
        name: EXECUTION_ID
        in: path
        required: true
        description: >-
          The ID of the Stream execution within the Stream, if no Stream
          execution ID is provided, the current Stream execution will be aborted
    put:
      summary: Abort a Stream execution
      description: >
        If needed during an execution, aborts an entire Stream execution.


        <Note>

        **Best Practice**


        To abort the current stream execution within request, simply identify
        the Stream’s ID within the request.

        </Note>
      responses:
        '200':
          description: >-
            Returns a parameter of success or error based on whether the Stream
            ID being valid.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````